#ifndef MESSAGES_H
#define MESSAGES_H

//#define DEBUG_PW

enum
{
	/* Main window GUI messages from menus, etc */
	M_APP_QUIT = 1,
	M_APP_ABOUT,
	M_CONNECT,
	M_LOCAL_PATH_BAR_INVOKED,
	M_REMOTE_PATH_BAR_INVOKED,
	M_LOCAL_DIR_CHANGED,
	M_REMOTE_DIR_CHANGED,
	M_SETTINGS_MENU,
	M_SETTINGS_PASSIVE,
	M_SETTINGS_MAX_CONNECTIONS_MENU,
	M_SETTINGS_MAX_CONNECTIONS,
	M_SETTINGS_SAVE_HISTORY,
	M_SETTINGS_DEBUG_MODE,
	
	/* Remote view context menu actions */
	M_REMOTE_MKDIR = 100,
	M_REMOTE_DELETE,
	M_REMOTE_RENAME,
	M_REMOTE_MOVE,
	
	/* Messages from confirmation dialogs, etc */
	M_DELETE_CONFIRMED = 200,
	M_MKDIR_CONFIRMED,
	M_RENAME_CONFIRMED,
	
	/* Messages sent from backend to GUI */
	M_REMOTE_DIRLISTING = 300,
	M_JOB_UPDATED,
	M_ENTRY_PATH,
	
	/* Messages sent to the transfer thread */
	M_TT_CLOSE = 500,
	M_TT_ADD,
	M_TT_PAUSE,
	M_TT_RESUME,
	M_TT_CANCEL,
	M_TT_REMOVE,
	M_TT_SCHEDULE,
		
	/* Messages sent between Progress Window and Main Window */
	M_PW_PAUSE = 600,	/**< Message for pausing a specific download. */
	M_PW_RESUME,		/**< Message for resuming a specific download. */
	M_PW_CANCEL,		/**< Message for canceling a specific download. */
	
	/* Internal ProgressWindow GUI messages */
	M_PW_RESUME_BUTTON = 1000,
	M_PW_PAUSE_BUTTON,
	M_PW_CANCEL_BUTTON
};

#endif
